Skip to content

Searches for sessions using predefined parameters

Request

Searches for sessions using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The session that you would like to be saved.

abstract_idArray of strings(Abstract)
accessArray of strings(Access)
end_dateArray of strings, (date-time), = 2 items(End Date)
event_idstring(Event)required
has_feesArray of booleans(Has Fees)
idsArray of strings(Ids)

IDs to search

namestring(Name)
speakersArray of strings(Speakers)
start_dateArray of strings, (date-time), = 2 items(Start Date)
track_idsArray of strings(Tracks)
type_idArray of strings(Type)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/sessions/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "abstract_id": [
      "string"
    ],
    "access": [
      "string"
    ],
    "end_date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "event_id": "string",
    "has_fees": [
      true
    ],
    "ids": [
      "string"
    ],
    "name": "string",
    "speakers": [
      "string"
    ],
    "start_date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "track_ids": [
      "string"
    ],
    "type_id": [
      "string"
    ]
  }'

Responses

The session search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(SessionSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }